Print Friendly

# Class YAHOO.ext.CompositeElementLite

Package: | YAHOO.ext
Class: | CompositeElementLite
Extends: | CompositeElement
Defined In: | CompositeElement.js

Flyweight composite class. Reuses the same YAHOO.ext.Element for element operations.
NOTE: Although they are not listed, this class supports all of the set/update methods of YAHOO.ext.Element. All YAHOO.ext.Element actions will be performed on all the elements in this collection.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| add(`String/Array els`) : CompositeElement | CompositeElement
Adds elements to this composite.
| each(`Function fn`, [`Object scope`]) : CompositeElement | CompositeElement
Calls the passed function passing (el, this, index) for each element in this composite.

## Public Events

This class has no public events.

## Method Details

### add

`public function add(`String/Array els`)`
Adds elements to this composite.
Parameters:

- `els` : String/Array
  A string CSS selector, an array of elements or an element

Returns:

- `CompositeElement`
  this

This method is defined by CompositeElement.

### each

`public function each(`Function fn`, [`Object scope`])`
Calls the passed function passing (el, this, index) for each element in this composite.
Parameters:

- `fn` : Function
  The function to call
- `scope` : Object
  (optional) The this object (defaults to the element)

Returns:

- `CompositeElement`
  this

This method is defined by CompositeElement.

Copyright © 2006 Jack Slocum. All rights reserved.